From 82c1617925687ec3d5eace66150c40f1eb555502 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 18 2020 05:54:12 +0000
Subject: [PATCH 164/2232] Catch block isn't allowed to throw


---

diff --git a/gen/write.rs b/gen/write.rs
index 33674b4..99260ea 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -371,7 +371,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         out.include.cstring = true;
         writeln!(out, "        throw$.ptr = nullptr;");
         writeln!(out, "      }},");
-        writeln!(out, "      [&](const char *catch$) {{");
+        writeln!(out, "      [&](const char *catch$) noexcept {{");
         writeln!(out, "        throw$.len = ::std::strlen(catch$);");
         writeln!(
             out,

